/********************************************************************** 
 * Copyright (c) 2005, 2006 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html         
 * $Id: UnsupportedRemoteResourceException.java,v 1.1 2006-03-09 22:04:11 jptoomey Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/ 
package org.eclipse.hyades.test.common.testservices.resources;

/**
 * An UnsupportedRemoteResourceException indicates that an instance of
 * IRemoteResourceProvider was invoked using an unsupported instance of
 * IRemoteResource.  For instance, using a WorkspaceResource with the
 * FilesystemResourceProvider.
 *  
 * @author jtoomey
 * @provisional
 */
public class UnsupportedRemoteResourceException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 156351650019750920L;

}
