/**********************************************************************
Copyright (c) 2005, 2006 IBM Corporation and others.
All rights reserved.  This program and the accompanying materials
are made available under the terms of the Eclipse Public License v1.0
which accompanies this distribution, and is available at
http://www.eclipse.org/legal/epl-v10.html
$Id: TaException.java,v 1.4 2006-11-13 20:17:32 samwai Exp $

Contributors:
 IBM Rational - initial implementation
**********************************************************************/
package org.eclipse.hyades.collection.threadanalyzer;

public class TaException
    extends Exception
{
    /**
	 * 
	 */
	private static final long serialVersionUID = 4776984756693202434L;
	protected Exception _e = null;
    protected String _msg  = null;

    public TaException()
    {
    }

    public TaException( String msg, Exception e )
    {
        _e = e;
        _msg = msg;
    }

    public void printStackTrace()
    {
        _e.printStackTrace();
    }

    public String getMessage()
    {
        return _msg;
    }
}
