/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: DataChannelNotInitializedException.java,v 1.4 2005-10-08 14:28:50 sschneid Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.execution.core;

/**
 * 
 * Description: Describes an exception due to the data channel not being
 * initialized properly.
 * 
 * Creation date: Apr 13, 2003
 * 
 */
public class DataChannelNotInitializedException extends Exception {

	/**
	 * Stream-Unique IDentifier (SUID) of this class
	 */
	private static final long serialVersionUID = 6691234131511865032L;

}