/**********************************************************************
 * Copyright (c) 2005, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ConnectionFactory.java,v 1.2 2007-04-19 20:24:25 nmehrega Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.execution.local.control;

public class ConnectionFactory {

	public static Connection getConnection(Node node) {
		return new ConnectionImpl();
	}

	public static Connection getSecuredConnection(Node node) {
		return new SecureConnectionImpl();
	}

}
