/**********************************************************************
 * Copyright (c) 2005, 2008 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: NodeImpl.java,v 1.4 2008-03-20 18:49:52 dmorris Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.execution.remote;

import org.eclipse.hyades.execution.invocation.Marshaller;

/**
 * @author rduggan
 * 
 * To change the template for this generated type comment go to
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
public class NodeImpl {

	public String getName() {
		// TODO: resolve the hostname
		return null;
	}

	/**
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		try {

			new NodeImpl();

			Integer uniqueId = Integer.valueOf(args[0]);

			SessionImpl rsession = new SessionImpl("RemoteSession", "HyadesSession");//$NON-NLS-1$

			new SessionSkeleton(rsession, uniqueId);

			Marshaller.addInstanceToMap(uniqueId, rsession);
			rsession.init();
			rsession.handleCommands();

		} catch (Throwable e) {
			e.printStackTrace();
		}
	}

}
