/**********************************************************************
 * Copyright (c) 2003, 2009 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: HyadesProcessorTypeEnumeration.java,v 1.7 2009-05-05 15:46:21 paules Exp $
 **********************************************************************/
 
/*
 * generated using TPTP customized JET templates
 */

package org.eclipse.hyades.models.common.configuration;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Hyades Processor Type Enumeration</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_1 <em>PR 1</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_2 <em>PR 2</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_3 <em>PR 3</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_4 <em>PR 4</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_5 <em>PR 5</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_6 <em>PR 6</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_7 <em>PR 7</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_8 <em>PR 8</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_9 <em>PR 9</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_10 <em>PR 10</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_11 <em>PR 11</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_12 <em>PR 12</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_13 <em>PR 13</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_14 <em>PR 14</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_15 <em>PR 15</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_16 <em>PR 16</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_17 <em>PR 17</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_18 <em>PR 18</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_19 <em>PR 19</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_50 <em>PR 50</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_51 <em>PR 51</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_52 <em>PR 52</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_53 <em>PR 53</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_54 <em>PR 54</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_55 <em>PR 55</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_56 <em>PR 56</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_57 <em>PR 57</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_58 <em>PR 58</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_59 <em>PR 59</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_60 <em>PR 60</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration()
 * @model
 * @generated
 */
public interface HyadesProcessorTypeEnumeration extends CFGPsudoEnumeration{
	/**
	 * Returns the value of the '<em><b>PR 1</b></em>' attribute.
	 * The default value is <code>"PR.Intel.8086"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 1</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 1</em>' attribute.
	 * @see #setPR_1(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_1()
	 * @model default="PR.Intel.8086"
	 * @generated
	 */
	String getPR_1();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_1 <em>PR 1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 1</em>' attribute.
	 * @see #getPR_1()
	 * @generated
	 */
	void setPR_1(String value);

	/**
	 * Returns the value of the '<em><b>PR 2</b></em>' attribute.
	 * The default value is <code>"PR.Intel.8088"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 2</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 2</em>' attribute.
	 * @see #setPR_2(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_2()
	 * @model default="PR.Intel.8088"
	 * @generated
	 */
	String getPR_2();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_2 <em>PR 2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 2</em>' attribute.
	 * @see #getPR_2()
	 * @generated
	 */
	void setPR_2(String value);

	/**
	 * Returns the value of the '<em><b>PR 3</b></em>' attribute.
	 * The default value is <code>"PR.Intel.80286"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 3</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 3</em>' attribute.
	 * @see #setPR_3(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_3()
	 * @model default="PR.Intel.80286"
	 * @generated
	 */
	String getPR_3();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_3 <em>PR 3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 3</em>' attribute.
	 * @see #getPR_3()
	 * @generated
	 */
	void setPR_3(String value);

	/**
	 * Returns the value of the '<em><b>PR 4</b></em>' attribute.
	 * The default value is <code>"PR.Intel.80386"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 4</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 4</em>' attribute.
	 * @see #setPR_4(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_4()
	 * @model default="PR.Intel.80386"
	 * @generated
	 */
	String getPR_4();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_4 <em>PR 4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 4</em>' attribute.
	 * @see #getPR_4()
	 * @generated
	 */
	void setPR_4(String value);

	/**
	 * Returns the value of the '<em><b>PR 5</b></em>' attribute.
	 * The default value is <code>"PR.Intel.80486"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 5</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 5</em>' attribute.
	 * @see #setPR_5(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_5()
	 * @model default="PR.Intel.80486"
	 * @generated
	 */
	String getPR_5();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_5 <em>PR 5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 5</em>' attribute.
	 * @see #getPR_5()
	 * @generated
	 */
	void setPR_5(String value);

	/**
	 * Returns the value of the '<em><b>PR 6</b></em>' attribute.
	 * The default value is <code>"PR.Intel.Pentium"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 6</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 6</em>' attribute.
	 * @see #setPR_6(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_6()
	 * @model default="PR.Intel.Pentium"
	 * @generated
	 */
	String getPR_6();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_6 <em>PR 6</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 6</em>' attribute.
	 * @see #getPR_6()
	 * @generated
	 */
	void setPR_6(String value);

	/**
	 * Returns the value of the '<em><b>PR 7</b></em>' attribute.
	 * The default value is <code>"PR.Intel.Pentium Pro"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 7</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 7</em>' attribute.
	 * @see #setPR_7(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_7()
	 * @model default="PR.Intel.Pentium Pro"
	 * @generated
	 */
	String getPR_7();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_7 <em>PR 7</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 7</em>' attribute.
	 * @see #getPR_7()
	 * @generated
	 */
	void setPR_7(String value);

	/**
	 * Returns the value of the '<em><b>PR 8</b></em>' attribute.
	 * The default value is <code>"PR.Intel.Pentium MMX"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 8</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 8</em>' attribute.
	 * @see #setPR_8(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_8()
	 * @model default="PR.Intel.Pentium MMX"
	 * @generated
	 */
	String getPR_8();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_8 <em>PR 8</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 8</em>' attribute.
	 * @see #getPR_8()
	 * @generated
	 */
	void setPR_8(String value);

	/**
	 * Returns the value of the '<em><b>PR 9</b></em>' attribute.
	 * The default value is <code>"PR.Intel.Pentium II"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 9</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 9</em>' attribute.
	 * @see #setPR_9(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_9()
	 * @model default="PR.Intel.Pentium II"
	 * @generated
	 */
	String getPR_9();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_9 <em>PR 9</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 9</em>' attribute.
	 * @see #getPR_9()
	 * @generated
	 */
	void setPR_9(String value);

	/**
	 * Returns the value of the '<em><b>PR 10</b></em>' attribute.
	 * The default value is <code>"PR.Intel.Pentium II Xeon"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 10</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 10</em>' attribute.
	 * @see #setPR_10(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_10()
	 * @model default="PR.Intel.Pentium II Xeon"
	 * @generated
	 */
	String getPR_10();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_10 <em>PR 10</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 10</em>' attribute.
	 * @see #getPR_10()
	 * @generated
	 */
	void setPR_10(String value);

	/**
	 * Returns the value of the '<em><b>PR 11</b></em>' attribute.
	 * The default value is <code>"PR.Intel.Pentium III"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 11</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 11</em>' attribute.
	 * @see #setPR_11(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_11()
	 * @model default="PR.Intel.Pentium III"
	 * @generated
	 */
	String getPR_11();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_11 <em>PR 11</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 11</em>' attribute.
	 * @see #getPR_11()
	 * @generated
	 */
	void setPR_11(String value);

	/**
	 * Returns the value of the '<em><b>PR 12</b></em>' attribute.
	 * The default value is <code>"PR.Intel.Pentium III Xeon"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 12</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 12</em>' attribute.
	 * @see #setPR_12(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_12()
	 * @model default="PR.Intel.Pentium III Xeon"
	 * @generated
	 */
	String getPR_12();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_12 <em>PR 12</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 12</em>' attribute.
	 * @see #getPR_12()
	 * @generated
	 */
	void setPR_12(String value);

	/**
	 * Returns the value of the '<em><b>PR 13</b></em>' attribute.
	 * The default value is <code>"PR.Intel.Pentium III E"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 13</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 13</em>' attribute.
	 * @see #setPR_13(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_13()
	 * @model default="PR.Intel.Pentium III E"
	 * @generated
	 */
	String getPR_13();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_13 <em>PR 13</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 13</em>' attribute.
	 * @see #getPR_13()
	 * @generated
	 */
	void setPR_13(String value);

	/**
	 * Returns the value of the '<em><b>PR 14</b></em>' attribute.
	 * The default value is <code>"PR.Intel.Pentium 4"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 14</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 14</em>' attribute.
	 * @see #setPR_14(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_14()
	 * @model default="PR.Intel.Pentium 4"
	 * @generated
	 */
	String getPR_14();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_14 <em>PR 14</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 14</em>' attribute.
	 * @see #getPR_14()
	 * @generated
	 */
	void setPR_14(String value);

	/**
	 * Returns the value of the '<em><b>PR 15</b></em>' attribute.
	 * The default value is <code>"PR.Intel.Pentium 4 Xeon"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 15</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 15</em>' attribute.
	 * @see #setPR_15(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_15()
	 * @model default="PR.Intel.Pentium 4 Xeon"
	 * @generated
	 */
	String getPR_15();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_15 <em>PR 15</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 15</em>' attribute.
	 * @see #getPR_15()
	 * @generated
	 */
	void setPR_15(String value);

	/**
	 * Returns the value of the '<em><b>PR 16</b></em>' attribute.
	 * The default value is <code>"PR.Intel.Pentium 4 Mobile"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 16</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 16</em>' attribute.
	 * @see #setPR_16(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_16()
	 * @model default="PR.Intel.Pentium 4 Mobile"
	 * @generated
	 */
	String getPR_16();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_16 <em>PR 16</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 16</em>' attribute.
	 * @see #getPR_16()
	 * @generated
	 */
	void setPR_16(String value);

	/**
	 * Returns the value of the '<em><b>PR 17</b></em>' attribute.
	 * The default value is <code>"PR.Intel.Pentium M"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 17</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 17</em>' attribute.
	 * @see #setPR_17(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_17()
	 * @model default="PR.Intel.Pentium M"
	 * @generated
	 */
	String getPR_17();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_17 <em>PR 17</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 17</em>' attribute.
	 * @see #getPR_17()
	 * @generated
	 */
	void setPR_17(String value);

	/**
	 * Returns the value of the '<em><b>PR 18</b></em>' attribute.
	 * The default value is <code>"PR.Intel.Pentium Celeron"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 18</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 18</em>' attribute.
	 * @see #setPR_18(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_18()
	 * @model default="PR.Intel.Pentium Celeron"
	 * @generated
	 */
	String getPR_18();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_18 <em>PR 18</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 18</em>' attribute.
	 * @see #getPR_18()
	 * @generated
	 */
	void setPR_18(String value);

	/**
	 * Returns the value of the '<em><b>PR 19</b></em>' attribute.
	 * The default value is <code>"PR.Intel.Itanium"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 19</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 19</em>' attribute.
	 * @see #setPR_19(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_19()
	 * @model default="PR.Intel.Itanium"
	 * @generated
	 */
	String getPR_19();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_19 <em>PR 19</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 19</em>' attribute.
	 * @see #getPR_19()
	 * @generated
	 */
	void setPR_19(String value);

	/**
	 * Returns the value of the '<em><b>PR 50</b></em>' attribute.
	 * The default value is <code>"PR.Motorola.68000"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 50</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 50</em>' attribute.
	 * @see #setPR_50(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_50()
	 * @model default="PR.Motorola.68000"
	 * @generated
	 */
	String getPR_50();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_50 <em>PR 50</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 50</em>' attribute.
	 * @see #getPR_50()
	 * @generated
	 */
	void setPR_50(String value);

	/**
	 * Returns the value of the '<em><b>PR 51</b></em>' attribute.
	 * The default value is <code>"PR.Motorola.68020"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 51</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 51</em>' attribute.
	 * @see #setPR_51(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_51()
	 * @model default="PR.Motorola.68020"
	 * @generated
	 */
	String getPR_51();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_51 <em>PR 51</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 51</em>' attribute.
	 * @see #getPR_51()
	 * @generated
	 */
	void setPR_51(String value);

	/**
	 * Returns the value of the '<em><b>PR 52</b></em>' attribute.
	 * The default value is <code>"PR.Motorola.68030"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 52</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 52</em>' attribute.
	 * @see #setPR_52(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_52()
	 * @model default="PR.Motorola.68030"
	 * @generated
	 */
	String getPR_52();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_52 <em>PR 52</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 52</em>' attribute.
	 * @see #getPR_52()
	 * @generated
	 */
	void setPR_52(String value);

	/**
	 * Returns the value of the '<em><b>PR 53</b></em>' attribute.
	 * The default value is <code>"PR.Motorola.68040"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 53</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 53</em>' attribute.
	 * @see #setPR_53(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_53()
	 * @model default="PR.Motorola.68040"
	 * @generated
	 */
	String getPR_53();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_53 <em>PR 53</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 53</em>' attribute.
	 * @see #getPR_53()
	 * @generated
	 */
	void setPR_53(String value);

	/**
	 * Returns the value of the '<em><b>PR 54</b></em>' attribute.
	 * The default value is <code>"PR.Motorola.68050"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 54</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 54</em>' attribute.
	 * @see #setPR_54(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_54()
	 * @model default="PR.Motorola.68050"
	 * @generated
	 */
	String getPR_54();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_54 <em>PR 54</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 54</em>' attribute.
	 * @see #getPR_54()
	 * @generated
	 */
	void setPR_54(String value);

	/**
	 * Returns the value of the '<em><b>PR 55</b></em>' attribute.
	 * The default value is <code>"PR.Motorola.PowerPC 601"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 55</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 55</em>' attribute.
	 * @see #setPR_55(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_55()
	 * @model default="PR.Motorola.PowerPC 601"
	 * @generated
	 */
	String getPR_55();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_55 <em>PR 55</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 55</em>' attribute.
	 * @see #getPR_55()
	 * @generated
	 */
	void setPR_55(String value);

	/**
	 * Returns the value of the '<em><b>PR 56</b></em>' attribute.
	 * The default value is <code>"PR.Motorola.PowerPC 603"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 56</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 56</em>' attribute.
	 * @see #setPR_56(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_56()
	 * @model default="PR.Motorola.PowerPC 603"
	 * @generated
	 */
	String getPR_56();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_56 <em>PR 56</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 56</em>' attribute.
	 * @see #getPR_56()
	 * @generated
	 */
	void setPR_56(String value);

	/**
	 * Returns the value of the '<em><b>PR 57</b></em>' attribute.
	 * The default value is <code>"PR.Motorola.PowerPC 605"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 57</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 57</em>' attribute.
	 * @see #setPR_57(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_57()
	 * @model default="PR.Motorola.PowerPC 605"
	 * @generated
	 */
	String getPR_57();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_57 <em>PR 57</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 57</em>' attribute.
	 * @see #getPR_57()
	 * @generated
	 */
	void setPR_57(String value);

	/**
	 * Returns the value of the '<em><b>PR 58</b></em>' attribute.
	 * The default value is <code>"PR.Motorola.PowerPC G3"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 58</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 58</em>' attribute.
	 * @see #setPR_58(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_58()
	 * @model default="PR.Motorola.PowerPC G3"
	 * @generated
	 */
	String getPR_58();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_58 <em>PR 58</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 58</em>' attribute.
	 * @see #getPR_58()
	 * @generated
	 */
	void setPR_58(String value);

	/**
	 * Returns the value of the '<em><b>PR 59</b></em>' attribute.
	 * The default value is <code>"PR.Motorola.PowerPC G4"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 59</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 59</em>' attribute.
	 * @see #setPR_59(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_59()
	 * @model default="PR.Motorola.PowerPC G4"
	 * @generated
	 */
	String getPR_59();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_59 <em>PR 59</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 59</em>' attribute.
	 * @see #getPR_59()
	 * @generated
	 */
	void setPR_59(String value);

	/**
	 * Returns the value of the '<em><b>PR 60</b></em>' attribute.
	 * The default value is <code>"PR.Motorola.PowerPC G5"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>PR 60</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>PR 60</em>' attribute.
	 * @see #setPR_60(String)
	 * @see org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage#getHyadesProcessorTypeEnumeration_PR_60()
	 * @model default="PR.Motorola.PowerPC G5"
	 * @generated
	 */
	String getPR_60();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration#getPR_60 <em>PR 60</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>PR 60</em>' attribute.
	 * @see #getPR_60()
	 * @generated
	 */
	void setPR_60(String value);

} // HyadesProcessorTypeEnumeration
