/*******************************************************************************
 * Copyright (c) 2003, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: DatapoolFacadeResourceFactoryImpl.java,v 1.3 2006-02-08 19:56:40 slavescu Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.models.common.facades.behavioral.impl;

import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.resource.Resource;

/**
 * @author bjiang
 * @since  3.0.2
 */
public class DatapoolFacadeResourceFactoryImpl extends
		FacadeResourceFactoryImpl {

	/* (non-Javadoc)
	 * @see org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl#createResource(org.eclipse.emf.common.util.URI)
	 */
	public Resource createResource(URI arg0) {
		DatapoolFacadeResourceImpl resource = new DatapoolFacadeResourceImpl(arg0);
		resource.setUseZip(true);
		resource.setEncoding(ENCODING);
		return resource;
	}

}
