/**********************************************************************
 * Copyright (c) 2003, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ExtendedFragmentLoader.java,v 1.2 2007-12-01 00:06:24 apnan Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.models.hierarchy.util.internal;

import org.eclipse.hyades.loaders.util.HierarchyContext;
import org.eclipse.hyades.loaders.util.XMLFragmentLoader;

public interface ExtendedFragmentLoader extends XMLFragmentLoader{
    //~ Methods ------------------------------------------------------------------------------------

    void addAttribute(int attributeNameId, Object value);

    /**
     * This is called on end of root element of each fragment
     */
    void addYourselfInContext(Object bean);

    void endChild(int nameId);

    void initialize(HierarchyContext context, int elementNameId);

    void startChild(int elementNameId);
}
