/**********************************************************************
 * Copyright (c) 2003, 2009 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: TRCAggregatedMethodInvocationImpl.java,v 1.8 2009-05-05 15:46:18 paules Exp $
 **********************************************************************/
 
/*
 * generated using TPTP customized JET templates
 */

package org.eclipse.hyades.models.trace.impl;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.hyades.models.trace.TRCAggregatedMethodInvocation;
import org.eclipse.hyades.models.trace.TracePackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>TRC Aggregated Method Invocation</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.eclipse.hyades.models.trace.impl.TRCAggregatedMethodInvocationImpl#getCount <em>Count</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.trace.impl.TRCAggregatedMethodInvocationImpl#getBaseTime <em>Base Time</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.trace.impl.TRCAggregatedMethodInvocationImpl#getCumulativeTime <em>Cumulative Time</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.trace.impl.TRCAggregatedMethodInvocationImpl#getMinTime <em>Min Time</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.trace.impl.TRCAggregatedMethodInvocationImpl#getMaxTime <em>Max Time</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.trace.impl.TRCAggregatedMethodInvocationImpl#getCallerLineNo <em>Caller Line No</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.trace.impl.TRCAggregatedMethodInvocationImpl#getTotalCpuTime <em>Total Cpu Time</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class TRCAggregatedMethodInvocationImpl extends TRCMethodInvocationImpl implements TRCAggregatedMethodInvocation {
	/**
	 * The default value of the '{@link #getCount() <em>Count</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCount()
	 * @generated
	 * @ordered
	 */
	protected static final int COUNT_EDEFAULT = 0;

	/**
	 * The cached value of the '{@link #getCount() <em>Count</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCount()
	 * @generated
	 * @ordered
	 */
	protected int count = COUNT_EDEFAULT;

	/**
	 * The default value of the '{@link #getBaseTime() <em>Base Time</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBaseTime()
	 * @generated
	 * @ordered
	 */
	protected static final double BASE_TIME_EDEFAULT = 0.0;

	/**
	 * The cached value of the '{@link #getBaseTime() <em>Base Time</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBaseTime()
	 * @generated
	 * @ordered
	 */
	protected double baseTime = BASE_TIME_EDEFAULT;

	/**
	 * The default value of the '{@link #getCumulativeTime() <em>Cumulative Time</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCumulativeTime()
	 * @generated
	 * @ordered
	 */
	protected static final double CUMULATIVE_TIME_EDEFAULT = 0.0;

	/**
	 * The cached value of the '{@link #getCumulativeTime() <em>Cumulative Time</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCumulativeTime()
	 * @generated
	 * @ordered
	 */
	protected double cumulativeTime = CUMULATIVE_TIME_EDEFAULT;

	/**
	 * The default value of the '{@link #getMinTime() <em>Min Time</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMinTime()
	 * @generated
	 * @ordered
	 */
	protected static final double MIN_TIME_EDEFAULT = 0.0;

	/**
	 * The cached value of the '{@link #getMinTime() <em>Min Time</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMinTime()
	 * @generated
	 * @ordered
	 */
	protected double minTime = MIN_TIME_EDEFAULT;

	/**
	 * The default value of the '{@link #getMaxTime() <em>Max Time</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMaxTime()
	 * @generated
	 * @ordered
	 */
	protected static final double MAX_TIME_EDEFAULT = 0.0;

	/**
	 * The cached value of the '{@link #getMaxTime() <em>Max Time</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMaxTime()
	 * @generated
	 * @ordered
	 */
	protected double maxTime = MAX_TIME_EDEFAULT;

	/**
	 * The default value of the '{@link #getCallerLineNo() <em>Caller Line No</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCallerLineNo()
	 * @generated
	 * @ordered
	 */
	protected static final int CALLER_LINE_NO_EDEFAULT = 0;

	/**
	 * The cached value of the '{@link #getCallerLineNo() <em>Caller Line No</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCallerLineNo()
	 * @generated
	 * @ordered
	 */
	protected int callerLineNo = CALLER_LINE_NO_EDEFAULT;

	/**
	 * The default value of the '{@link #getTotalCpuTime() <em>Total Cpu Time</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTotalCpuTime()
	 * @generated
	 * @ordered
	 */
	protected static final double TOTAL_CPU_TIME_EDEFAULT = 0.0;

	/**
	 * The cached value of the '{@link #getTotalCpuTime() <em>Total Cpu Time</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTotalCpuTime()
	 * @generated
	 * @ordered
	 */
	protected double totalCpuTime = TOTAL_CPU_TIME_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected TRCAggregatedMethodInvocationImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return TracePackage.Literals.TRC_AGGREGATED_METHOD_INVOCATION;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public int getCount() {
		return count;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCount(int newCount) {
		int oldCount = count;
		count = newCount;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__COUNT, oldCount, count));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public double getBaseTime() {
		return baseTime;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBaseTime(double newBaseTime) {
		double oldBaseTime = baseTime;
		baseTime = newBaseTime;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__BASE_TIME, oldBaseTime, baseTime));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public double getCumulativeTime() {
		return cumulativeTime;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCumulativeTime(double newCumulativeTime) {
		double oldCumulativeTime = cumulativeTime;
		cumulativeTime = newCumulativeTime;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__CUMULATIVE_TIME, oldCumulativeTime, cumulativeTime));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public double getMinTime() {
		return minTime;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMinTime(double newMinTime) {
		double oldMinTime = minTime;
		minTime = newMinTime;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__MIN_TIME, oldMinTime, minTime));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public double getMaxTime() {
		return maxTime;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setMaxTime(double newMaxTime) {
		double oldMaxTime = maxTime;
		maxTime = newMaxTime;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__MAX_TIME, oldMaxTime, maxTime));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public int getCallerLineNo() {
		return callerLineNo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCallerLineNo(int newCallerLineNo) {
		int oldCallerLineNo = callerLineNo;
		callerLineNo = newCallerLineNo;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__CALLER_LINE_NO, oldCallerLineNo, callerLineNo));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public double getTotalCpuTime() {
		return totalCpuTime;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTotalCpuTime(double newTotalCpuTime) {
		double oldTotalCpuTime = totalCpuTime;
		totalCpuTime = newTotalCpuTime;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__TOTAL_CPU_TIME, oldTotalCpuTime, totalCpuTime));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__COUNT:
				return getCount();
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__BASE_TIME:
				return getBaseTime();
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__CUMULATIVE_TIME:
				return getCumulativeTime();
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__MIN_TIME:
				return getMinTime();
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__MAX_TIME:
				return getMaxTime();
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__CALLER_LINE_NO:
				return getCallerLineNo();
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__TOTAL_CPU_TIME:
				return getTotalCpuTime();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__COUNT:
				setCount((Integer)newValue);
				return;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__BASE_TIME:
				setBaseTime((Double)newValue);
				return;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__CUMULATIVE_TIME:
				setCumulativeTime((Double)newValue);
				return;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__MIN_TIME:
				setMinTime((Double)newValue);
				return;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__MAX_TIME:
				setMaxTime((Double)newValue);
				return;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__CALLER_LINE_NO:
				setCallerLineNo((Integer)newValue);
				return;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__TOTAL_CPU_TIME:
				setTotalCpuTime((Double)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__COUNT:
				setCount(COUNT_EDEFAULT);
				return;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__BASE_TIME:
				setBaseTime(BASE_TIME_EDEFAULT);
				return;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__CUMULATIVE_TIME:
				setCumulativeTime(CUMULATIVE_TIME_EDEFAULT);
				return;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__MIN_TIME:
				setMinTime(MIN_TIME_EDEFAULT);
				return;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__MAX_TIME:
				setMaxTime(MAX_TIME_EDEFAULT);
				return;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__CALLER_LINE_NO:
				setCallerLineNo(CALLER_LINE_NO_EDEFAULT);
				return;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__TOTAL_CPU_TIME:
				setTotalCpuTime(TOTAL_CPU_TIME_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__COUNT:
				return count != COUNT_EDEFAULT;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__BASE_TIME:
				return baseTime != BASE_TIME_EDEFAULT;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__CUMULATIVE_TIME:
				return cumulativeTime != CUMULATIVE_TIME_EDEFAULT;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__MIN_TIME:
				return minTime != MIN_TIME_EDEFAULT;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__MAX_TIME:
				return maxTime != MAX_TIME_EDEFAULT;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__CALLER_LINE_NO:
				return callerLineNo != CALLER_LINE_NO_EDEFAULT;
			case TracePackage.TRC_AGGREGATED_METHOD_INVOCATION__TOTAL_CPU_TIME:
				return totalCpuTime != TOTAL_CPU_TIME_EDEFAULT;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (count: ");
		result.append(count);
		result.append(", baseTime: ");
		result.append(baseTime);
		result.append(", cumulativeTime: ");
		result.append(cumulativeTime);
		result.append(", minTime: ");
		result.append(minTime);
		result.append(", maxTime: ");
		result.append(maxTime);
		result.append(", callerLineNo: ");
		result.append(callerLineNo);
		result.append(", totalCpuTime: ");
		result.append(totalCpuTime);
		result.append(')');
		return result.toString();
	}

} //TRCAggregatedMethodInvocationImpl
