/**********************************************************************
 * Copyright (c) 2006, 2008 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: HTTPRecorderPreferences.java,v 1.5 2008-03-11 18:13:05 paules Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.test.tools.ui;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;

/**
 * HTTP recorder preferences.
 * <p/>
 * 
 * 
 * @author  Paul E. Slauenwhite
 * @version March 11, 2008
 * @since   September 21, 2006
 * @deprecated As of TPTP 4.5.0, internalized in the <code>org.eclipse.tptp.test.recorders.url</code> plug-in.  
 */
public class HTTPRecorderPreferences extends AbstractPreferenceInitializer {

	public static final String PLUGIN_ID = ToolsUiPlugin.PLUGIN_ID;
	public static final String RECORDING_PATH = ToolsUiPlugin.RECORDING_PATH;
	public static final String RECORDER_APP_ADAPTER = ToolsUiPlugin.RECORDER_APP_ADAPTER;
	public static final String PROXY_PORT = ToolsUiPlugin.PROXY_PORT;
	public static final String DEFAULT_PORT = ToolsUiPlugin.DEFAULT_PORT;
	
	/**
	 * @see org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer#initializeDefaultPreferences()
	 * @deprecated As of TPTP 4.5.0, internalized in the <code>org.eclipse.tptp.test.recorders.url</code> plug-in.  
	 */
	public void initializeDefaultPreferences() {
		//No-operation since only for API compatability.
	}
}
