/*******************************************************************************
 * Copyright (c) 2005, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IBulletParagraph.java,v 1.4 2007-05-02 19:35:50 paules Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.ui.internal.editor.form.base;

import java.util.Hashtable;

import org.eclipse.swt.graphics.GC;

public interface IBulletParagraph extends IParagraph {
	int CIRCLE = 0;
	int TEXT = 1;
	int IMAGE = 2;
	public int getBulletStyle();
	public String getBulletText();

	public void paintBullet(GC gc, Locator loc, int lineHeight, Hashtable objectTable);
}