/*****************************************************************************
 * Copyright (c) 2008 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Intel Corporation - Initial API and implementation
 *    Ruslan A. Scherbakov, Intel - Initial API and implementation
 *
 * $Id: OpenMemoryAnalysisViewAction.java,v 1.5 2008-05-29 02:13:59 jkubasta Exp $ 
 *****************************************************************************/

package org.eclipse.tptp.trace.jvmti.internal.client.views;

import org.eclipse.jface.resource.ImageDescriptor;

public class OpenMemoryAnalysisViewAction extends OpenTraceViewActionBase {
	public OpenMemoryAnalysisViewAction() {
		super("");
	}

	public OpenMemoryAnalysisViewAction(String label) {
		super(label);
	}

	public OpenMemoryAnalysisViewAction(String label, ImageDescriptor image) {
		super(label, image);
	}

	public String getViewID() {
		return MemoryAnalysisViewer.VIEW_ID;
	}

	public String getErrorMsg() {
		return UIMessages.CANNOT_OPEN_MEM_ANALYSIS;
	}
}
