/*******************************************************************************
 * Copyright (c) 2005, 2010 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ITestCommonConstants.java,v 1.6 2010-05-07 13:03:02 paules Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.core.internal;

/**
 * <p>ITestCommonConstants.java</p>
 * 
 * 
 * @author  Paul E. Slauenwhite
 * @version May 7, 2008
 * @since   October 13, 2005
 */
public interface ITestCommonConstants {

	public static final String HTML_FILE_EXTENSION = "html"; //$NON-NLS-1$
	public static final String XML_FILE_EXTENSION = "xml"; //$NON-NLS-1$
	public static final String RTF_FILE_EXTENSION = "rtf"; //$NON-NLS-1$
	public static final String TESTLOG_FILE_EXTENSION = "testlog"; //$NON-NLS-1$
}
