/**********************************************************************
 * Copyright (c) 2005, 2012 IBM Corporation, Intel Corporation.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: DataChannelNotInitializedException.java,v 1.3 2006-02-10 21:10:25 vnaikawadi Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 * Vishnu K Naikawadi,Intel - Added constructor that takes message string
 **********************************************************************/

package org.eclipse.tptp.platform.execution.exceptions;
/**
 *
 * Description:
 * 		Describes an exception due to the data channel not being
 * 		initialized properly.
 *
 * Creation date: Apr 13, 2003
 *
 */
public class DataChannelNotInitializedException extends Exception {
	private static final long serialVersionUID = 1L;
	
	public DataChannelNotInitializedException() {}

	public DataChannelNotInitializedException( String message )
	{
		super(message);
	}
}