/**********************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ExtensionsPluginResourceBundle.java,v 1.3 2007-12-07 20:38:05 paules Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.test.ui.extensions.internal.resources;

import org.eclipse.osgi.util.NLS;

/**
 * Plug-in level resource bundle.
 * <p>
 * 
 * 
 * @author      Paul E. Slauenwhite
 * @version     December 7, 2007
 * @since       March 15, 2007
 */
public final class ExtensionsPluginResourceBundle extends NLS {

	private static final String BUNDLE_NAME = "org.eclipse.hyades.test.ui.extensions.internal.resources.messages";//$NON-NLS-1$

	private ExtensionsPluginResourceBundle() {
		// Do not instantiate
	}

	public static String WORD_ADD_DOT;
	public static String TestLogViewer_invalidBugzillaNumber;
	public static String TestLogViewer_enterBugzillaNumber;
	public static String TestLogViewer_Defects;
	public static String TestLogViewer_alreadyExists;
	public static String TestLogViewer_Submit;
	public static String TestLogViewer_NewBug;
	public static String TestLogViewer_Search;
	public static String TestLogViewer_SearchForBugs;
	public static String TestLogViewer_addDefectTitle;
	public static String TestLogViewer_removeDefectConfirmTitle;
	public static String TestLogViewer_removeDefectConfirmMessage;
	public static String TestLogViewerPreferencePage_bugzilla;
	public static String TestLogViewerPreferencePage_submitBugURL;
	public static String TestLogViewerPreferencePage_findBugURL;
	public static String TestLogViewerPreferencePage_openBugURL;

	static {
		NLS.initializeMessages(BUNDLE_NAME, ExtensionsPluginResourceBundle.class);
	}
}