/********************************************************************** 
 * Copyright (c) 2004, 2006 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html         
 * $Id: LaunchPadException.java,v 1.1 2006-02-22 16:41:43 nmehrega Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/ 
package org.eclipse.tptp.platform.probekit.launch.launchpad;

/**
 * @author vhavin
 *
 */
public class LaunchPadException extends Exception 
{
    private static final long serialVersionUID = 3834024745174907193L;

    public LaunchPadException() {
		super();
	}

	public LaunchPadException(String message) {
		super(message);
	}

	public LaunchPadException(String message, Throwable cause) {
		super(message, cause);
	}

	public LaunchPadException(Throwable cause) {
		super(cause);
	}
}
