/* ***********************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: SVGFeComponentTransfer.java,v 1.2 2005-06-10 17:47:09 dguilbaud Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 ************************************************************/

package org.eclipse.tptp.platform.report.chart.svg.internal.generator;

/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: SVGFeComponentTransfer.java,v 1.2 2005-06-10 17:47:09 dguilbaud Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/


import org.w3c.dom.Element;

/**
 * <code>SVGFeComponentTransfer</code> is a implementation class for Scalable Vector Graphics (SVG) 
 * "feComponentTransfer" elements. 
 */
public class SVGFeComponentTransfer extends SVGFeComponentTransferBase {
    private Element implementation;
    static final long serialVersionUID = -852629016130334229L;
    /**
     * Sole constructor.
     */
    public SVGFeComponentTransfer() {
        super();
        setTagName("feComponentTransfer");
    }

    /**
     * @see org.eclipse.tptp.platform.report.chart.svg.internal.generator.svg.SVGBase#getImplementation()
     */
    public Element getImplementation() {
        return implementation;
    }
}
