/*******************************************************************************
 * Copyright (c) 2005, 2006 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andy Kaylor, Intel - Initial API and Implementation
 *
 * $Id: RACmdHandlers.h,v 1.4 2006-03-28 19:33:35 akaylor Exp $
 *
 *******************************************************************************/ 

#ifndef __RACMDHANDLERS_H__
#define __RACMDHANDLERS_H__

#include "tptp/compatibility/RACSupport.h"

BOOL handleAgentScopingCommand( tl_state_data_t* stateData, ra_command_t* command );
BOOL handleAgentInactive( tl_state_data_t* stateData, ra_command_t* command );
BOOL handleGetPropertyList( tl_state_data_t* stateData, ra_command_t* command );
BOOL handleAgentRequestMonitor(tl_state_data_t* stateData, ra_command_t* command );

#endif /* __RACMDHANDLERS_H__ */
