/*******************************************************************************
 * Copyright (c) 2006, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: JavaMessages.java,v 1.4 2007-05-02 19:36:26 paules Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.tools.core.internal.java;

import org.eclipse.osgi.util.NLS;

public class JavaMessages extends NLS {
	private static final String BUNDLE_NAME = "org.eclipse.hyades.test.tools.core.internal.java.messages"; //$NON-NLS-1$

	private JavaMessages() {
	}

	static {
		// initialize resource bundle
		NLS.initializeMessages(BUNDLE_NAME, JavaMessages.class);
	}

	public static String BUILDER_LINK_TASK;
	public static String UPDATE_JUNIT_CODE;
}
