/*******************************************************************************
 * Copyright (c) 2006, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IJUnitTestSuiteFactoryListener.java,v 1.3 2007-05-02 19:36:24 paules Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.tools.core.internal.java.modelsync.event;

/**
 * Listener interface for receiving events related to JUnit test import.
 * @author jcanches
 * @since 4.3
 */
public interface IJUnitTestSuiteFactoryListener {

	/**
	 * Notifies this class about a JUnit test suite factory event.
	 */
	void onEvent(IJUnitTestSuiteFactoryEvent event);
	
}
